Name:           perl-Path-Dispatcher
Version:        1.08
Release:        5%{?dist}
Summary:        Flexible and extensible dispatch
License:        GPL+ or Artistic

URL:            https://metacpan.org/dist/Path-Dispatcher/
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/Path-Dispatcher-%{version}.tar.gz

BuildArch:      noarch
# build requirements
BuildRequires:  coreutils
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
BuildRequires:  perl(:VERSION) >= 5.8.1
# runtime requirements
BuildRequires:  perl(Carp)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(MooX::TypeTiny)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(Type::Tiny)
BuildRequires:  perl(Type::Utils)
BuildRequires:  perl(Types::Standard)
BuildRequires:  perl(constant)
BuildRequires:  perl(overload)
# test requirements
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

%{?perl_default_filter}

%description
Path::Dispatcher's basic operation is that of dispatch. Dispatch takes
a path and a list of rules, and it returns a list of matches. From there,
you can "run" the rules that matched. These phases are distinct so that,
if you need to, you can inspect which rules were matched without ever
running their code-blocks.

%prep
%setup -q -n Path-Dispatcher-%{version}

%build
/usr/bin/perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes CONTRIBUTING README
%license LICENSE
%{perl_vendorlib}/Path*
%{_mandir}/man3/Path*

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.08-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Jitka Plesnikova <jplesnik@redhat.com> - 1.08-3
- Perl 5.36 rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Sep 05 2021 Emmanuel Seyman <emmanuel@seyman.fr> - 1.08-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
